:root {
    --color-header-arrow: rgba(255,255,255,0.8);
    --color-sidebar-default-background: #0D1116;
    --color-sidebar-default-background-light: #3a3b3f;
    --color-background-content-light-dark: #111110;
    --color-background-content-light: #111113;
    --color-background-content-lighter: #29292d;
    --color-background-content-lighter-2: #212123;
    --color-background-content-lighter-3: #353536;
    --color-background-content-selected: #45454b;
    --color-background-content-selected-2: #282828;
    --color-background-content: #090c13;
    --color-background-content-2: #202327;
    --color-background-content-3: rgba(32, 35, 39, 0.7);
    --color-background-content-4: rgba(32, 35, 39, 0.85);
    --color-background-black: #000000;
    --color-border-color: #21262e;
    --color-border-color-light: #686870;
    --color-border-color-light-2: hsla(0,0%,100%,.14);
    --color-border-color-light-2-hover: hsla(0,0%,100%,.2);
    --color-border-color-light-3: #4D4D48;
    --color-border-color-selected: #343b48;
    --color-border-color-selected-green: #09b01f;
    --color-shadow-inset: 0 0 transparent;
    --color-header-font-grey: rgba(255,255,255,0.5);
    --color-header-font: rgb(241, 241, 241);
    --color-header-font-white-95: rgba(255,255,255,0.95);
    --color-header-font-white: rgba(255,255,255,1);
    --color-text-default: #c9d1d9;
    --color-header-background: #161b22;
    --color-header-box-background: #10191B;
    --color-tab-border-selected: rgba(247, 45, 43, 0.9);
    --color-tab-border: rgba(247, 45, 43, 0.4);
    --color-background-green-light: #08dd24;
    --color-background-green: #079b1b;
    --color-background-green-dimmed: rgba(7, 155, 27, 0.21);
    --color-background-green-dark: #0b7019;
    --color-background-red: rgb(210, 40, 39);
    --color-background-red-dark: rgb(128, 24, 23);
    --color-background-red-selected: rgba(247, 45, 43, 1);
    --color-background-orange: rgb(255, 166, 1);
    --color-background-orange-dimmed: rgba(255, 166, 1, 0.1);
    --color-background-blue: rgb(0, 114, 210);
    --color-background-blue-dimmed: rgba(0, 114, 210, 0.1);

}

.streams-overall-content {
    /* padding-right: 16px !important; */
    padding-left: 16px !important;
}

.stream-templates-content {
    padding: 0 18px 18px 18px;
    align-items: flex-start;
    flex-grow: 1;
}

.content-wrapper {
    display: flex;
    flex-direction: column;
    overflow: auto;
    /* flex: auto !important; */
    min-width: 426px;
    color: var(--color-header-font-white-95);
    align-items: flex-start;
    justify-content: flex-start;
    max-height: 94vh;
    gap: 16px;
    background-color: var(--color-background-content) !important;
}

.content-wrapper .row-container-streams {
    /* flex-shrink: 0; */
    /* --gap: 12px; */
    /* display: inline-flex; */
    /* flex-wrap: wrap; */
    /* margin: calc(-1 * var(--gap)) 0 0 calc(-1 * var(--gap)); */
    /* width: calc(100% + var(--gap)); */
    margin-top: 1rem;
}

.tag-overview-wrapper {
    margin-top: 16px;
    padding-bottom: 0;
    flex-basis: 100%;
    margin-bottom: 0;
    display: contents;
}

.content-overview-top {
    /* padding: 12px 25px 12px 32px; */
    border-radius: 8px;
    /* background-color: var(--color-sidebar-default-background) !important; */
}

.tag-overview-wrapper .content-overview-top {
    /* min-width: 965px; */
    /* width: 995px; */
    width: 100%;
    /* border: 1px solid var(--color-border-color); */
    /* border-bottom: initial; */
    /* width: 995px; */
    /* max-width: 70vw; */
}

.row-container-streams .intro-top {
    margin-left: 4px !important;
}

.content-templates {
    position: relative;
    text-align: center;
}

.tag-overview-all {
    border-radius: 8px;
    flex-direction: column;
    min-width: 62vw;
    max-width: 62vw;
}

.content-overview-bottom {
    padding: 0px 0px 18px 0px;
    overflow: auto;
}

.content-overview-bottom-video {
    padding: 0px 0 0 0;
}



.content-templates .tag-overview {
    margin: 2rem 0rem 0rem 0rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    line-height: 2rem;
    padding: 12px 2px;
    column-gap: 2px;
    row-gap: 4px;
}

.cat-item.no-border {
    text-transform: uppercase;
    width: fit-content;
    color: var(--color-sidebar-default-background);
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    border-radius: 8px;
    border: 1px solid var(--color-sidebar-default-background);
    flex-shrink: 0;
    margin-right: 6px;
    -webkit-appearance: button;
    cursor: pointer;
    text-align: center;
    /*white-space: nowrap;*/
    height: fit-content;
    padding: 0px 0px;
    font-family: sans-serif;
    font-weight: 600;
    font-size: 20px;
    /*line-height: 0.25vw;*/
    vertical-align: bottom;
    border: initial;
    /* background-color: transparent; */
    /* color: transparent; */
    box-shadow: initial;
}

.tag-overview-all .tag-items {
    margin: 0rem 0rem 0rem -1rem;
}

.tag-items {
    margin: 0rem 1rem 0rem 0rem;
    flex-direction: row;
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    overflow-y: visible;
}

.content-templates .tag-overview .templates-top-list {
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    overflow-y: visible;
}

.task-item {
    cursor: grab !important;
    padding: 0;
    min-width: 240px;
}

.tag-items .task-item {
    margin-right: 0px;
    justify-content: center;
    align-content: center;
    max-width: 262px;
    flex: 0 0 auto;
}

.right-container-top-options {
    display: flex;
    flex-direction: row;
    -webkit-box-align: center;
    align-items: center;
    justify-content: flex-end;
    height: 16px;
    text-align: inherit;
    vertical-align: middle;
    top: 26px;
    left: -8px;
    position: relative;
}

.tag-box-header {
    display: flex;
    position: relative;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 18px;
    border-radius: 4px;
    background-color: var(--color-background-content-lighter);
    /* border: 1px solid var(--color-border-color-light-2); */
    -webkit-transition: border 150ms cubic-bezier(.25, .46, .45, .94);
    transition: border 150ms cubic-bezier(.25, .46, .45, .94);
    text-align: center;
    min-height: 270px;
}

.row {
    /*margin-right: 0px;*/
    /*margin-left: 0px;*/
}

.left-container-top {
    text-shadow: 0 2px 3px rgb(0 0 0 / 30%);
    position: relative;
    display: flex;
}


.tag-box-header .left-container-top {
    z-index: 1;
    display: inline-grid;
    gap: 32px;
}

.tag-items .templateName {
    font-size: 16px;
    line-height: 18px;
    font-weight: 700;
    color: var(--color-header-font-white);
    height: 100%;
    display: flex;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
    text-shadow: 1px 1px 0 rgb(0 0 0 / 35%), 1px 1px 5px rgb(0 0 0 / 50%);
    text-wrap: initial;
    word-wrap: break-word;
    align-items: center;
    justify-content: center;
}

.tag-items .template-wrapper {
    flex-direction: column;
    margin: 1rem 0 2rem 0;
}

.tag-items .templateDetails {
    color: var(--color-header-font);
    font-weight: 500;
    font-size: 12px;
    text-shadow: 1px 1px 0 rgb(0 0 0 / 35%), 1px 1px 5px rgb(0 0 0 / 50%);
    min-height: 20px;
}

.button-cont {
    display: flex;
    justify-content: space-evenly;
    gap: 6px;
    flex-direction: column;
    align-items: center;
}

.card-symbol-item {
    color: #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: center;
    /* background-color: transparent; */
    background-color: #313131;
    border-radius: 999px;
    border: 1px solid var(--color-border-color-light-3);
    flex-shrink: 0;
    margin: 0 auto;
    -webkit-appearance: button;
    cursor: pointer;
    text-align: center;
    white-space: nowrap;
    min-height: 36px;
    height: 36px;
    padding: 4px 12px 4px 12px;
    font-family: sans-serif;
    font-size: 12px;
    font-weight: 500;
    transition: color 0.15s ease-in-out 0s, background-color 0.15s ease-in-out 0s, border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s, transform 0.15s ease-in-out 0s;
    box-shadow: 1px 1px 0 rgb(0 0 0 / 35%), 1px 1px 5px rgb(0 0 0 / 50%);
}

.icon-left-text-svg {
    background-color: var(--color-header-font);
    background-size: 100% 100%;
    height: 18px !important;
    width: 18px !important;
    margin: 0 auto;
    float: left;
}

.details-button span {
    margin-left: 6px;
}

span {
    font-family: "AkkuratStd", Helvetica, Arial, sans-serif;
}

.icon-template {
    -webkit-mask-image: url(/img/icons/svg/template.svg);
    mask-image: url(/img/icons/svg/template.svg);
    background-size: 100% 100%;
}

.tag-items .template-item .tag-box-header:after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    background: linear-gradient(to top, rgba(0, 0, 0, 0.35), transparent);
}

@media (hover: hover) {
    .tag-items .template-item .tag-box-header:hover::after {
        background: linear-gradient(to top, rgba(0, 0, 0, 0.05), transparent);

    }

    .tag-box-header:hover {
        border-color: var(--color-border-color-light-2-hover);
        background-color: var(--color-header-background) !important;

    }

}

@media (hover: hover) {

    .task-item:hover .tag-box-header {
        background-color: var(--color-background-content-selected);
    }

    .fullListOfTasks .task-item:hover .drag-icon-wrapper,
    .new-template-container .task-item:hover .drag-icon-wrapper {
        opacity: 0.8;
    }

    .fullListOfTasks .task-item:hover .drag-icon-wrapper-subtask,
    .new-template-container .task-item:hover .drag-icon-wrapper-subtask {
        opacity: 0.8;
        margin-top: 2px !important;
    }

    .fullListOfTasks .task-item:hover .drag-icon-wrapper-subtask i,
    .new-template-container .task-item:hover .drag-icon-wrapper-subtask i {
        opacity: 0.8;
        margin-top: 2px !important;
    }

    .fullListOfTasks .task-item:hover .drag-icon-wrapper:hover,
    .new-template-container .task-item:hover .drag-icon-wrapper:hover {
        opacity: 1;
    }

    .fullListOfTasks .task-item:hover .drag-icon-wrapper-subtask:hover,
    .new-template-container .task-item:hover .drag-icon-wrapper-subtask:hover {
        opacity: 1;
    }
}


.templates-container-front {
    display: grid;
    grid-gap: 1rem;
    gap: 1rem;
    grid-template-columns: 240px auto;
    text-align: left;
}

.templates-aside {
    height: -moz-fit-content;
    height: fit-content;
    margin-inline-end: 3rem;
    min-inline-size: 235px;
    overflow: auto;
    padding: 0 0.25rem;
    position: sticky;
    top: 6rem;
}

.categories-sidebar {
    margin-block-start: 1.5rem;
    padding-block-end: 0.25rem;
}

li.sidebar-category-item {
    margin-block-end: 0.75rem;
    color: #81ff3c;
    border-left: 2px solid transparent;
}

li.sidebar-category-item span {
    -webkit-padding-start: .625rem;
    -webkit-padding-end: .625rem;
    display: block;
    padding-inline-end: .625rem;
    padding-inline-start: .625rem;
    text-shadow: initial;
    font-weight: 400;
}

li.sidebar-category-item.active {
    border-left: 2px solid #81ff3c;
    border-left: 2px solid #81ff3c;
    background-color: #f1f1f1;
    padding: 6px;
    border-radius: 4px;
}

@media (hover: hover) {
li.sidebar-category-item:hover {
    border-left: 2px solid #2c7307;
}
}

.flex-left-2 {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    /* padding-top: 100px; */
    /* padding-bottom: 111px; */
    flex: 1 1 0%;
    text-align: left;
    justify-content: flex-start;
    height: 100%;
}

.flex-right {
    display: flex;
    padding-top: 40px;
    padding-left: 4px;
    justify-content: flex-start;
    flex: 2 1 0%;
    /* max-width: 300px; */
    min-width: 400px;
}

.templates-frontend-container {
    display: grid;
    grid-gap: 1rem;
    gap: 1rem;
    grid-template-columns: auto auto auto;
    margin-block-end: 3rem;
}

.templates-frontend-container-title {
    height: 100%;
    margin: 0.5rem 0 1rem 0.7rem;
}

.categories-sidebar-title {
    font-size: 14px;
    font-weight: 600;
}

.hero.large {
    min-height: 0px !important;
}

.hero .cta {
     margin: initial !important;
}




@media (max-width: 768px) {
    .tag-items .templateName {
        max-width: 400px;
        line-height: 18px;
        height: auto;
        width: 201px;
        margin: auto;
        text-wrap: initial;
        word-wrap: break-word;
        display: flex;
        flex-direction: column;
    }

    .back-to-templates-wrapper {
        margin-top: 0rem;
    }
    .flex-container-wrapper-3 {
        padding-left: 12px;
        padding-right: 12px;
    }

    .flex-container-wrapper {
        padding-top: 0;
    }

    .templates-frontend-container-title {
        height: initial;
    }
    .flex-container-item {
        flex-direction: column-reverse;
    }
    .flex-right {
        padding-left: 0px;
        justify-content: center;
    }

    .flex-container-wrapper {
        padding-left: 12px;
        padding-right: 12px;
        padding-bottom: 2rem;
    }

    .flex-left {
        padding-top: 30px;
        min-width: initial;
        padding-bottom: 0px;
        align-items: flex-start;
        margin-top:48px;
    }

    .flex-left h1 {
        font-size: 34px;
        line-height: 40px;
    }

    .link-container-front {
        width: 340px;
    }

    .link-container-front-sm {
        width: 330px;
    }

    #hero.landing-page {
        padding-top: 0px !important;
    }

    .templates-frontend-container {
        width: 400px;
        overflow-x: auto;
        overflow-y: visible;
        flex-direction: row;
        display: flex;
        flex-wrap: nowrap;
        white-space: nowrap;
    }
}
